org.apache.cassandra.dht

## Class RangeStreamer.FailureDetectorSourceFilter

- java.lang.Object
- - org.apache.cassandra.dht.RangeStreamer.FailureDetectorSourceFilter

All Implemented Interfaces:
  RangeStreamer.ISourceFilter

Enclosing class:
  RangeStreamer

    public static class RangeStreamer.FailureDetectorSourceFilter
    extends java.lang.Object
    implements RangeStreamer.ISourceFilter

Source filter which excludes any endpoints that are not alive according to a failure detector.

### Constructor Summary

Constructors
Constructor and Description
`FailureDetectorSourceFilter(IFailureDetector fd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `shouldInclude(java.net.InetAddress endpoint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FailureDetectorSourceFilter

    public FailureDetectorSourceFilter(IFailureDetector fd)

### Method Detail

#### shouldInclude

    public boolean shouldInclude(java.net.InetAddress endpoint)

Specified by:
  `shouldInclude` in interface `RangeStreamer.ISourceFilter`